AWS Prefix List Firewall Rule V1

Operations related to AWS prefix list firewall rule

List all prefix list firewall rules

SecurityBasic Authentication
Request
path Parameters
clusterDataCentreId
required
string <uuid>

ID of the cluster data centre.

Responses
200

Successfully retrieved AWS prefix list firewall rules.

get/cluster-management/v2/data-sources/providers/aws/aws_cluster_data_centre/{clusterDataCentreId}/prefix-list-firewall-rules/v1
Request samples
Response samples
application/json
[
  • {
    }
]

Add an AWS prefix list firewall rule

SecurityBasic Authentication
Request
Request Body schema: application/json
required
clusterDataCentreId
required
string <uuid>

ID of the cluster data centre for the AWS prefix list firewall rule.

prefixListId
required
string

The prefix list ID of the AWS prefix list firewall rule.

type
required
string (FirewallRuleTypesV2)

The type of firewall rule.

Enum: "APACHE_ZOOKEEPER" "CADENCE" "CADENCE_GRPC" "CADENCE_HTTP_API" "CADENCE_WEB" "CASSANDRA" "CASSANDRA_CQL" "CLICKHOUSE" "CLICKHOUSE_WEB" "ELASTICSEARCH" "KAFKA" "KAFKA_CONNECT" "KAFKA_ENCRYPTION" "KAFKA_MTLS" "KAFKA_NO_ENCRYPTION" "KAFKA_PRIVATE_SASL_PLAINTEXT_LISTENER" "KAFKA_PUBLIC_SASL_PLAINTEXT_LISTENER" "KAFKA_PRIVATE_PLAINTEXT_LISTENER" "KAFKA_PUBLIC_PLAINTEXT_LISTENER" "KAFKA_PRIVATE_SSL_LISTENER" "KAFKA_PUBLIC_SSL_LISTENER" "KAFKA_REST_PROXY" "KAFKA_SCHEMA_REGISTRY" "KARAPACE_REST_PROXY" "KARAPACE_SCHEMA_REGISTRY" "OPENSEARCH" "OPENSEARCH_DASHBOARDS" "PGBOUNCER" "POSTGRESQL" "REDIS" "VALKEY" "SEARCH_DASHBOARDS" "SECURE_APACHE_ZOOKEEPER" "SPARK" "SPARK_JOBSERVER" "SHOTOVER_PROXY" "MCP_GATEWAY" "KAFKA_DISKLESS"
Responses
202

Successfully added the AWS prefix list firewall rule.

409

A matching firewall rule already exists for the prefix list in the cluster data centre.

post/cluster-management/v2/resources/providers/aws/prefix-list-firewall-rules/v1
Request samples
application/json
{
  • "clusterDataCentreId": "c1af59c6-ba0e-4cc2-a0f3-65cee17a5f37",
  • "prefixListId": "pl-01abc2345defg6789",
  • "type": "CASSANDRA_CQL"
}
Response samples
application/json
{
  • "clusterDataCentreId": "c1af59c6-ba0e-4cc2-a0f3-65cee17a5f37",
  • "deferredReason": "",
  • "id": "47ac0d3e-1b2f-4e8a-9c3d-5e6f708192a4",
  • "prefixListId": "pl-01abc2345defg6789",
  • "status": "GENESIS",
  • "type": "CASSANDRA_CQL"
}

Get AWS prefix list firewall rule details

SecurityBasic Authentication
Request
path Parameters
firewallRuleId
required
string <uuid>

ID of the AWS prefix list firewall rule.

Responses
200

Retrieved the details of the AWS prefix list firewall rule.

404

Aws prefix list firewall rule not found

get/cluster-management/v2/resources/providers/aws/prefix-list-firewall-rules/v1/{firewallRuleId}
Request samples
Response samples
application/json
{
  • "clusterDataCentreId": "c1af59c6-ba0e-4cc2-a0f3-65cee17a5f37",
  • "deferredReason": "",
  • "id": "47ac0d3e-1b2f-4e8a-9c3d-5e6f708192a4",
  • "prefixListId": "pl-01abc2345defg6789",
  • "status": "GENESIS",
  • "type": "CASSANDRA_CQL"
}

Delete AWS prefix list firewall rule

SecurityBasic Authentication
Request
path Parameters
firewallRuleId
required
string <uuid>

ID of the AWS prefix list firewall rule.

Responses
204

Aws Prefix List Firewall Rule successfully deleted.

404

Aws Prefix List Firewall Rule not found

delete/cluster-management/v2/resources/providers/aws/prefix-list-firewall-rules/v1/{firewallRuleId}
Request samples
Response samples
application/json
{
  • "errors": [
    ]
}